Get Serving Endpoint
curl --request GET \
--url https://api.example.com/v1/serving/endpoints/{endpoint_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/serving/endpoints/{endpoint_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/serving/endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpoint_url": "<string>",
"config": {
"model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"predict_options": {
"binary_classification_threshold": 0.5,
"num_classes_to_return": 123
},
"max_qps": 50
},
"launched_at": "2023-11-07T05:31:56Z",
"status": {
"last_updated_at": "2023-11-07T05:31:56Z",
"stage": "<string>",
"failure_message": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}serving
Get Serving Endpoint
GET
/
v1
/
serving
/
endpoints
/
{endpoint_id}
Get Serving Endpoint
Authorizations
An API key or OAuth2/OIDC access token sent as Authorization: Bearer <token>.
Path Parameters
Response
Successful Response
Server-assigned endpoint id.
Public base URL of the endpoint, e.g. https://ep-{id}.serving..
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I